if not SimpleUnitFrames or not SimpleUnitFrames:HasModule("Basics") or not TgFocusFrame then return end

local core = SimpleUnitFrames
local L = core.loc.Basics
L["Focus Target Frame"] = "Focus Target Frame"

local basics = SimpleUnitFrames:GetModule("Basics")

local OPTION_ORDER = 100
basics.consoleOptions.focustarget = {
	type = 'group',
	name = L["Focus Target Frame"],
	desc = L["Focus Target Frame"],
	args = {
		mhp = {
			order = OPTION_ORDER + 1,
			type = 'text',
			name = L['Middle Health Text'],
			desc = L['Middle Health Text Description'],
			get = function() return basics.db.profile.focustarget.mhp end,
			set = function(v) 
							basics.db.profile.focustarget.mhp = v
							basics:RefreshFontStrings("focustarget")
						end,
			validate = basics.formatList,
		},
		rhp = {
			order = OPTION_ORDER + 2,
			type = 'text',
			name = L['Right Health Text'],
			desc = L['Right Health Text Description'],
			get = function() return basics.db.profile.focustarget.rhp end,
			set = function(v) 
							basics.db.profile.focustarget.rhp = v
							basics:RefreshFontStrings("focustarget")
						end,
			validate = basics.formatList,
		},
		mmp = {
			order = OPTION_ORDER + 3,
			type = 'text',
			name = L['Middle Mana Text'],
			desc = L['Middle Mana Text Description'],
			get = function() return basics.db.profile.focustarget.mmp end,
			set = function(v)
							basics.db.profile.focustarget.mmp = v
							basics:RefreshFontStrings("focustarget")
						end,
			validate = basics.formatList,
		},
		rmp = {
			order = OPTION_ORDER + 4,
			type = 'text',
			name = L['Right Mana Text'],
			desc = L['Right Mana Text Description'],
			get = function() return basics.db.profile.focustarget.rmp end,
			set = function(v)
							basics.db.profile.focustarget.rmp = v
							basics:RefreshFontStrings("focustarget")
						end,
			validate = basics.formatList,
		},
	}
}

basics.defaultOptions.focustarget = {
	mhp = "HPpercent",
	rhp = "HPcurrmax",
	mmp = "MPpercent",
	rmp = "MPcurrmax",
}

basics.frameSettings.focustarget = {
	parent = TgTargetofFocusFrame,
	texts = {
		mhp = {
			point = { "TOP", TgTargetofFocusHealthBar, "TOP", 0, 2 },
		},
		rhp = {
			point = { "TOPLEFT", TgTargetofFocusHealthBar, "TOPRIGHT", 32, 2 },
		},
		mmp = {
			point = { "TOP", TgTargetofFocusManaBar, "TOP", 0, 2 },
		},
		rmp = {
			point = { "TOPLEFT", TgTargetofFocusManaBar, "TOPRIGHT", 32, 2 },
		},
	},
}

-- Disable 'dead' text on Focus Target Frame
TgTargetofFocusDeadText:SetText()
